module.exports = {
  productionSourceMap: false,
  assetsDir: "s",
  configureWebpack: {
    externals: {
      vue: "Vue",
      vuex: "Vuex",
      "vue-router": "VueRouter",
      "element-ui": "ELEMENT",
    },
  },
  lintOnSave: false,
  devServer: {
    inline: true,
    disableHostCheck: true,
    port: 8085,
    hot: true, //自动保存
    proxy: {
      "/enterprise": {
        // target: "http://test.office.com:11073",
        // target: 'http://8.136.255.30:11078',
         target: 'http://192.168.0.98:11086',
        changeOrigin: true,
        secure: false,
        cookieDomainRewrite: "localhost",
      },
    },
  },
};
